POD2TEXI(1)

BEZEICHNUNG
pod2texi - Pod zu Texinfo umwandeln

ÜBERSICHT
 pod2texi [OPTION] … POD …

BESCHREIBUNG
Übersetzt Pod-Datei(en) in Texinfo. Es gibt zwei grundlegende Arbeitsmodi. Im ersten Modus (die Vorgabe) wird jede Pod-Datei in ein eigenständiges Texinfo-Handbuch übersetzt.

Im zweiten Modus, falls --base-level auf einen Wert größer als 0 gesetzt ist, wird jede Pod-Datei in eine für @include geeignete Datei übersetzt. Außerdem wird eine weitere Datei mit einem Hauptmenü und allen @includes erstellt.

OPTIONEN

--appendix-sections
    verwendet Anhang-Abschnittsbefehle (@appendix, …) anstelle der vorgegebenen nummerierten @-Abschnittsbefehle von Texinfo (@chapter, @section, …).

--base-level=ZAHL|NAME
    legt die Ebene der »head1«-Befehle fest. Diese kann eine Ganzzahl oder ein Texinfo-Abschnittsbefehl sein (ohne das »@«: 1 entspricht der @chapter/@unnumbered-Ebene, 2 der @section-Ebene und so weiter. Die Voreinstellung ist 0, wodurch die »head1«-Befehle immer noch als Kapitel ausgegeben werden, aber die Ausgabe als eigenständiges Handbuch zusammengestellt wird.

    Falls die Ebene nicht 0 ist, wird aus der Pod-Datei ein Fragment eines Texinfo-Handbuchs erstellt, das sich als @include verwenden lässt. In diesem Fall besitzt jede Pod-Datei einen zusätzlichen Abschnittsbefehl, der die gesamte Datei abdeckt, eine Ebene über dem --base-level-Wert. Um jede Pod-Datei als Kapitel eines großen Handbuchs zu definieren, sollten Sie »section« als Basisebene verwenden.

    Ein Beispiel dafür, wie Texinfo aus der Perl-Dokumentation selbst erstellt wird, finden Sie in »contrib/perldoc-all« in der Quelldistribution von Textinfo.

--debug=ZAHL
    setzt die Debugging-Stufe auf die angegebene ZAHL.

--headings-as-sections
    verwendet Überschrift-Befehle (@heading, …) anstelle der vorgegebenen nummerierten @-Abschnittsbefehle von Texinfo (@chapter, @section, …). Der Abschnittsbefehl, der die gesamte Dateiausgabe für jede Pod-Datei abdeckt, sofern --base-level nicht 0 ist, ist ein nummerierter Befehl.

--help
    zeigt einen Hilfetext an und beendet das Programm.

--menus
    gibt Knotenmenüs aus. Falls ein Haupthandbuch existiert, wird dessen Knotenmenü der obersten Ebene stets ausgegeben, da ein Menü der obersten Ebene erzeugt wird. Andere Knotenmenüs werden standardmäßig nicht ausgegeben.

--output=NAME
    legt den Namen des ersten Handbuchs fest, oder den Namen des Haupthandbuchs, falls es ein solches gibt. Standardmäßig wird in die Standardausgabe geschrieben.

--no-section-nodes
    verwendet Anker anstatt Knoten für Abschnitte.

--no-fill-section-gaps
    füllt die Abschnittslücken nicht mit leeren @unnumbered-Dateien. Für gewöhnlich ist es gut, die Abschnittshierarchie intakt zu halten.

--preamble=ZEICHENKETTE
    fügt die angegebene ZEICHENKETTE als obersten Textbaustein vor Menüs und Einbindungen ein. Falls die ZEICHENKETTE als "-" angegeben ist, wird der oberste Textbaustein aus der Standardeingabe gelesen. Der oberste Textbaustein ist ein minimaler Anfang für ein Texinfo-Dokument.

--setfilename=ZEICHENKETTE
    fügt die angegebene ZEICHENKETTE als obersten Textbaustein für @setfilename ein. Standardmäßig wird @setfilename nicht ausgegeben.

--subdir=NAME
    legt Einbindungsdateien im Verzeichnis NAME ab, falls es ein Haupthandbuch mit Einbindungsdateien gibt (wovon jede einer Pod-Eingabedatei entspricht).

--unnumbered-sections
    verwendet unnummerierte Abschnittsbefehle (@unnumbered, …) anstelle der vorgegebenen nummerierten @-Abschnittsbefehle von Texinfo (@chapter, @section, …).

--top=TOP
    legt den Namen des @top-Elements für das Haupthandbuch fest. Dies darf Texinfo-Code enthalten.

--version
    zeigt Versionsinformationen an und beendet das Programm.

SIEHE AUCH
Pod::Simple::Texinfo. perlpod. Das Texinfo-Handbuch. Homepage von GNU Texinfo: <http://www.gnu.org/software/texinfo/>

COPYRIGHT und LIZENZ
Copyright 2012-2023 Free Software Foundation, Inc.

Dieses Programm ist freie Software; Sie können es unter den Bedingungen der GNU General Public License weitergeben und/oder verändern, so wie sie von der Free Software Foundation veröffentlicht wurde; entweder in Version 3 der Lizenz oder (nach Ihrem Ermessen) in jeder späteren Version.

Es gibt KEINERLEI GARANTIEN, soweit gesetzlich zulässig.

AUTOR
Patrice Dumas <bug-texinfo@gnu.org>.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).